# PHTTPStringField Class Reference

`#include <httpform.h>`

Inheritance diagram for PHTTPStringField:

List of all members.

## Public Member Functions

| PHTTPStringField (const char *name, PINDEX size, const char *initVal=NULL, const char *help=NULL)
| PHTTPStringField (const char *name, const char *title, PINDEX size, const char *initVal=NULL, const char *help=NULL)
virtual PHTTPField * | NewField () const
| Create a new field of the same class as the current field.
virtual void | GetHTMLTag (PHTML &html) const
| Convert the field to HTML form tag for inclusion into the HTTP page.
virtual PString | GetValue (PBoolean dflt=false) const
| Get the string value of the field.
virtual void | SetValue (const PString &newVal)
| Set the value of the field.

## Protected Attributes

PString | value
PString | initialValue
PINDEX | size

## Constructor & Destructor Documentation

PHTTPStringField::PHTTPStringField | ( | const char * | name,
|  | PINDEX | size,
|  | const char * | initVal = `NULL`,
|  | const char * | help = `NULL` |
| ) |  |  |

PHTTPStringField::PHTTPStringField | ( | const char * | name,
|  | const char * | title,
|  | PINDEX | size,
|  | const char * | initVal = `NULL`,
|  | const char * | help = `NULL` |
| ) |  |  |

## Member Function Documentation

virtual void PHTTPStringField::GetHTMLTag | ( | PHTML & | html | ) | const`[virtual]`

Convert the field to HTML form tag for inclusion into the HTTP page.

Parameters:

  html | HTML to receive the field info.

Implements PHTTPField.

Reimplemented in PHTTPPasswordField.

virtual PString PHTTPStringField::GetValue | ( | PBoolean | dflt = `false` | ) | const`[virtual]`

Get the string value of the field.

Returns:
  String for field value.

Implements PHTTPField.

Reimplemented in PHTTPPasswordField.

virtual PHTTPField* PHTTPStringField::NewField | ( |  | ) | const`[virtual]`

Create a new field of the same class as the current field.

Returns:
  New field object instance.

Implements PHTTPField.

Reimplemented in PHTTPPasswordField, and PHTTPDateField.

virtual void PHTTPStringField::SetValue | ( | const PString & | newVal | ) | `[virtual]`

Set the value of the field.

Implements PHTTPField.

Reimplemented in PHTTPPasswordField, and PHTTPDateField.

## Member Data Documentation

PString PHTTPStringField::initialValue `[protected]`

PINDEX PHTTPStringField::size `[protected]`

PString PHTTPStringField::value `[protected]`

The documentation for this class was generated from the following file:

- httpform.h